{
*****************************************************************************
*  Name    : UNTITLED.BAS                                                   *
*  Author  : [select VIEW...EDITOR OPTIONS]                                 *
*  Notice  : Copyright (c) 2009 [select VIEW...EDITOR OPTIONS]              *
*          : All Rights Reserved                                            *
*  Date    : 4/9/2009                                                       *
*  Version : 1.0                                                            *
*  Notes   :    *** Junebug 18F1320 LED sequencer demo ***
* Flashes LEDs1 thru 6 from left to right forever
* DIP Switch (SW6) must have TUTOR on (SW6-1,2,3) all other switches off
                                                             *
*          :                                                                *
*****************************************************************************


list p=18F1320
include <p18F1320.inc>
CONFIG OSC = INTIO2, WDT = OFF, LVP = OFF
org 0x000
LED macro x,y //MACRO LED <PORTA>, <TRISA>
movlw x
movwf LATA // LATA = x
movlw y
movwf TRISA // TRISA = y
call Delay // call the Delay subroutine
endm // end macro
Count equ 0 // delay loop counter
org 0 // reset vector
bsf ADCON1, 0 // make RA0 digital
LED1 LED b'00000001', b'10111110' // LED <PORTA>, <TRISA>
LED2 LED b'01000000', b'10111110' // LED <PORTA>, <TRISA>
LED3 LED b'01000000', b'00111111' // LED <PORTA>, <TRISA>
LED4 LED b'10000000', b'00111111' // LED <PORTA>, <TRISA>
LED5 LED b'10000000', b'01111110' // LED <PORTA>, <TRISA>
LED6 LED b'00000001', b'01111110' // LED <PORTA>, <TRISA>
bra LED1 ; loop forever
Delay decfsz Count, f // decrement Count and skip when zero
bra Delay // not zero? repeat
return // return
END
